> For the complete documentation index, see [llms.txt](https://developers.epiqai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.epiqai.com/api-reference/usage.md).

# Usage

Activity history for your account — daily chat-message counts for the authenticated user and per-upload records for account administrators.

## GET /v1/usage/chat

> Per-day chat-message counts for the authenticated user.

```json
{"openapi":"3.1.0","info":{"title":"AIDA Public API","version":"1.0.0"},"tags":[{"name":"Usage","description":"Activity history for your account — daily chat-message counts for the authenticated user and per-upload records for account administrators."}],"servers":[{"url":"https://api.epiqai.com","description":"Production"}],"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{},"schemas":{"ChatUsageResponse":{"properties":{"user_id":{"type":"string","title":"User Id"},"from_date":{"type":"string","title":"From Date"},"to_date":{"type":"string","title":"To Date"},"days":{"type":"integer","title":"Days"},"messages_per_day":{"items":{"$ref":"#/components/schemas/ChatUsageBucket"},"type":"array","title":"Messages Per Day"}},"type":"object","required":["user_id","from_date","to_date","days","messages_per_day"],"title":"ChatUsageResponse"},"ChatUsageBucket":{"properties":{"date":{"type":"string","title":"Date"},"count":{"type":"integer","title":"Count"}},"type":"object","required":["date","count"],"title":"ChatUsageBucket"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/usage/chat":{"get":{"tags":["Usage"],"summary":"Per-day chat-message counts for the authenticated user.","operationId":"get_chat_usage_v1_usage_chat_get","parameters":[{"name":"days","in":"query","required":false,"schema":{"type":"integer","maximum":365,"minimum":1,"default":30,"title":"Days"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```

## GET /v1/usage/uploads

> Per-upload usage records for the account (admin only).

```json
{"openapi":"3.1.0","info":{"title":"AIDA Public API","version":"1.0.0"},"tags":[{"name":"Usage","description":"Activity history for your account — daily chat-message counts for the authenticated user and per-upload records for account administrators."}],"servers":[{"url":"https://api.epiqai.com","description":"Production"}],"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{},"schemas":{"PublicUploadRecordList":{"properties":{"results":{"items":{"$ref":"#/components/schemas/PublicUploadRecord"},"type":"array","title":"Results"},"total_count":{"type":"integer","title":"Total Count"},"offset":{"type":"integer","title":"Offset"},"limit":{"type":"integer","title":"Limit"}},"type":"object","required":["results","total_count","offset","limit"],"title":"PublicUploadRecordList"},"PublicUploadRecord":{"properties":{"upload_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Upload Id"},"upload_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Upload Name"},"case_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Case Id"},"user_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"User Id"},"number_of_docs":{"type":"integer","title":"Number Of Docs","default":0},"volume_size":{"type":"integer","title":"Volume Size","default":0},"date_created":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Date Created"}},"type":"object","title":"PublicUploadRecord"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}},"paths":{"/v1/usage/uploads":{"get":{"tags":["Usage"],"summary":"Per-upload usage records for the account (admin only).","operationId":"get_upload_records_endpoint_v1_usage_uploads_get","parameters":[{"name":"case_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Case Id"}},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Upload-name substring.","title":"Q"},"description":"Upload-name substring."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":200,"minimum":1,"default":50,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicUploadRecordList"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.epiqai.com/api-reference/usage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
